# vue-nested-table

## Project setup

### Set component name

replace all `vue-nested-table` text to `${your-component-name}` in this project files.

### Install dependencies

```
npm install
```

### Compiles and hot-reloads for development

```
npm run serve
```

### Compiles and minifies for component example page

```
npm run build
```

### Compiles and minifies for component library

```
npm run lib
```

### Run your tests

```
npm run test
```

### Lints and fixes files

```
npm run lint
```

### Run your unit tests

```
npm run test:unit
```

```txt
├── README.md
├── babel.config.js
├── examples
│   ├── assets
│   │   └── logo.png
│   ├── components
│   │   └── App
│   │       ├── App.styl
│   │       ├── App.ts
│   │       ├── App.vue
│   │       └── index.ts
│   ├── main.ts
│   ├── shims-tsx.d.ts
│   └── shims-vue.d.ts
├── package.json
├── packages
│   ├── index.ts
│   └── src
│       ├── test
│       │   ├── index.ts
│       │   ├── test.styl
│       │   ├── test.ts
│       │   └── test.vue
│       └── textarea.ts
├── pages
│   ├── css
│   │   └── index.1969c4d6.css
│   ├── favicon.ico
│   ├── index.html
│   └── js
│       ├── chunk-vendors.f2dbb782.js
│       ├── chunk-vendors.f2dbb782.js.map
│       ├── index.aa9e2e47.js
│       └── index.aa9e2e47.js.map
├── public
│   ├── favicon.ico
│   └── index.html
├── tests
│   └── unit
│       └── example.spec.ts
├── tsconfig.json
├── tslint.json
└── vue.config.js

```

### Customize configuration

See [Configuration Reference](https://cli.vuejs.org/config/).
